Issue 125289

Summary: URL of linked PNG images wrong after save when automatic save has taken place
Product: Draw Reporter: Oliver-Rainer Wittmann <orw>
Component: save-exportAssignee: Oliver-Rainer Wittmann <orw>
Status: CLOSED FIXED QA Contact:
Severity: Normal    
Priority: P3 CC: Armin.Le.Grand, fanyuzhen, jsc, pedlino, rb.henschel
Version: 4.2.0-devFlags: jsc: 4.1.1_release_blocker+
Target Milestone: 4.1.1   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description Oliver-Rainer Wittmann 2014-07-21 15:43:13 UTC
use description and document given at https://issues.apache.org/ooo/show_bug.cgi?id=118725#c23

in recent developer snapshot M2 of planned 4.1.1 release and recent build from trunk the URL of a linked PNG image is wrong after save when an automatic save has taken place before the save.

- set "Always create backup copy" and "Save AutoRecovery information every.."
- new Draw/Impress document
- save it
- close it
- open it
- insert a linked PNG image - one of the above
- wait for automatic save
- save it
- close it
- open it
--> URL of linked PNG image is wrong.
Comment 1 Oliver-Rainer Wittmann 2014-07-22 11:07:50 UTC
defect introduced by changes made for issue 114361
Comment 2 Oliver-Rainer Wittmann 2014-07-22 11:10:20 UTC
instead of waiting for automatic save you can also trigger two manual saves in order to trigger the picture loss
Comment 3 jsc 2014-07-22 11:34:29 UTC
grant showstopper flag
Comment 4 SVN Robot 2014-07-23 09:10:50 UTC
"orw" committed SVN revision 1612801 into trunk:
125289: do apply possible changed <GraphicStreamURL> only for embedded images...
Comment 5 SVN Robot 2014-07-23 09:15:22 UTC
"orw" committed SVN revision 1612804 into branches/AOO410:
125289: do apply possible changed <GraphicStreamURL> only for embedded images...
Comment 6 Oliver-Rainer Wittmann 2014-07-23 09:16:49 UTC
fixed in trunk and on branch AOO410 for planned 4.1.1 release
Comment 7 Pedro 2014-07-31 23:07:50 UTC
Fixed in AOO411m4(Build:9774)  -  Rev. 1614049 (aka 4.1.1 RC1)
Link to PNG remains correct after autosave and save.
Tested under Windows 7 SP1 x64
Comment 8 fanyuzhen 2014-08-01 05:49:21 UTC
Marking it as fixed based on Pedro's check in comment 7